Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.ui.portlet.role
Class RolePortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.ui.portlet.role.RolePortlet

All Implemented Interfaces:
  Portlet

    public class RolePortlet

extends JBossPortlet

This portlet aims at managing roles of users.

Version:
  $Revision: 10025 $
Author:
  Noel Rocher, Julien Viet, Thomas Heute , Roy Russo : roy at jboss dot org

Field Summary
`static org.jboss.logging.Logger` | `log` the class logger
`static java.lang.String` | `OP_SHOWADDROLESTOUSER` Render operation to show the screen to assign roles to a user
`static java.lang.String` | `OP_SHOWCREATEROLE`
`static java.lang.String` | `OP_SHOWEDITROLE`
`static java.lang.String` | `OP_SHOWLISTROLEMEMBERS` Edit role page where admins can edit the members individually.
`static java.lang.String` | `OP_SHOWMAINROLEMEMBERS` Main Edit role page where admins can filter
`static java.lang.String` | `OP_SHOWSUMMARY`

Constructor Summary
`RolePortlet()`

Method Summary
`void` | `addRolesToUser(JBossActionRequest request, JBossActionResponse response)` Adds or Removes roles from a user.
`void` | `createRole(JBossActionRequest req, JBossActionResponse resp)`
`void` | `destroy()` Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.
`protected void` | `doView(JBossRenderRequest req, JBossRenderResponse resp)` Throw a `PortletException`.
`void` | `editRole(JBossActionRequest req, JBossActionResponse resp)` Action to edit a role
`java.lang.String` | `getDefaultOperation()` Return the string main, it can be overriden to return another value by subclasses.
`void` | `init()`
`void` | `removeRole(JBossActionRequest req, JBossActionResponse resp)` Action to delete a role
`void` | `showListEditRoleMembers(JBossActionRequest req, JBossActionResponse resp)`

Methods inherited from class org.jboss.portlet.JBossPortlet
`doAdmin, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.jboss.logging.Logger log

  the class logger

### OP_SHOWSUMMARY

    public static final java.lang.String OP_SHOWSUMMARY

See Also:
  Constant Field Values

### OP_SHOWCREATEROLE

    public static final java.lang.String OP_SHOWCREATEROLE

See Also:
  Constant Field Values

### OP_SHOWEDITROLE

    public static final java.lang.String OP_SHOWEDITROLE

See Also:
  Constant Field Values

### OP_SHOWMAINROLEMEMBERS

    public static final java.lang.String OP_SHOWMAINROLEMEMBERS

  Main Edit role page where admins can filter

  See Also:
    Constant Field Values

### OP_SHOWLISTROLEMEMBERS

    public static final java.lang.String OP_SHOWLISTROLEMEMBERS

  Edit role page where admins can edit the members individually.

  See Also:
    Constant Field Values

### OP_SHOWADDROLESTOUSER

    public static final java.lang.String OP_SHOWADDROLESTOUSER

  Render operation to show the screen to assign roles to a user

  See Also:
    Constant Field Values

Constructor Detail

### RolePortlet

    public RolePortlet()

Method Detail

### init

    public void init()
              throws PortletException

  Overrides:
    `init` in class `JBossPortlet`
  Throws:
    `PortletException`

### destroy

    public void destroy()

  Description copied from interface: `Portlet`
  Called by the portlet container to indicate to a portlet that the portlet is being taken out of service.

  Before the portlet container calls the destroy method, it should allow any threads that are currently processing requests within the portlet object to complete execution. To avoid waiting forever, the portlet container can optionally wait for a predefined time before destroying the portlet object.

  This method enables the portlet to do the following:

  - clean up any resources that it holds (for example, memory, file handles, threads)
  - make sure that any persistent state is synchronized with the portlet current state in memory.

  Specified by:
    `destroy` in interface `Portlet`
  Overrides:
    `destroy` in class `JBossPortlet`

### getDefaultOperation

    public java.lang.String getDefaultOperation()

  Description copied from class: `JBossPortlet`
  Return the string main, it can be overriden to return another value by subclasses.

  Overrides:
    `getDefaultOperation` in class `JBossPortlet`

### doView

    protected void doView(JBossRenderRequest req,
                          JBossRenderResponse resp)
                   throws PortletException,
                          PortletSecurityException,
                          java.io.IOException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doView` in class `JBossPortlet`
  Throws:
    `PortletException`
    `PortletSecurityException`
    `java.io.IOException`

### showListEditRoleMembers

    public void showListEditRoleMembers(JBossActionRequest req,
                                        JBossActionResponse resp)
                                 throws WindowStateException

  Throws:
    `WindowStateException`

### createRole

    public void createRole(JBossActionRequest req,
                           JBossActionResponse resp)

### editRole

    public void editRole(JBossActionRequest req,
                         JBossActionResponse resp)
                  throws WindowStateException

  Action to edit a role

  Parameters:
    `req` -
    `resp` -
  Throws:
    `WindowStateException`

### addRolesToUser

    public void addRolesToUser(JBossActionRequest request,
                               JBossActionResponse response)

  Adds or Removes roles from a user.

  Parameters:
    `request` -
    `response` -

### removeRole

    public void removeRole(JBossActionRequest req,
                           JBossActionResponse resp)

  Action to delete a role

  Parameters:
    `req` -
    `resp` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD